[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#339935: ITP: lua51 -- Simple, extensible, embeddable programming language

Package: wnpp
Severity: wishlist
Owner: "John V. Belmonte" <jbelmonte@debian.org>

* Package name    : lua51
  Version         : 5.1.0
  Upstream Author : Lua Team <team@lua.org>
* URL             : http://www.lua.org/
* License         : MIT
  Description     : Simple, extensible, embeddable programming language

Lua is a powerful, light-weight programming language designed for extending
applications.  The language engine is accessible as a library, having a C
API which allows the application to exchange data with Lua programs and also
to extend Lua with C functions.  Lua is also used as a general-purpose,
stand-alone language through the simple command line interpreter provided.

See <http://www.lua.org/about.html> for more information.


While the authors attempt to keep changes to the Lua language and standard
libraries backwards compatible, the C API often changes significantly between
versions (e.g. from the 5.0 series to 5.1).  Applications in which Lua is
embedded often become bound to a certain version of Lua indefinitely.  For
these reasons, and in contrast to other interpreted languages which have more
of a stand-alone focus, it's important to maintain parallel source packages.

The beta version of Lua 5.1 has recently been released.

Reply to: